<template lang="pug">
.row.align-items-center.no-gutters.my-1
  .col-7(@click='setSelected')
    BadgeButton(type='property' :badges='{ name }' :isSelected='isSelected')
  .col-5
    BaseInput.ml-auto.p-0(ref='value' :noEditIcon='true' :inEdit='true' @edit="onEdit")
  BaseAnimationBlock(anim='height')
    RelationList(v-show='isInSelection' :property='property' :state='state')
</template>
<script src='./PropertyAuto.vue.js' />
